alpm-srcinfo-format(1)

NAME
alpm-srcinfo-format - Format a SRCINFO file from a path or `stdin`

SYNOPSIS
alpm-srcinfo format [-s|--schema] [-o|--output-format] [-p|--pretty] [-h|--help] [FILE]

DESCRIPTION
Format a SRCINFO file from a path or `stdin`.

If the file is valid, the program prints the data in the requested file format to stdout and returns with an exit status of 0.

OPTIONS

-s, --schema=VERSION
    Provide the SRCINFO schema version to use. If no schema version is provided, it will be deduced from the file itself.

-o, --output-format=OUTPUT_FORMAT [default: srcinfo]
    Provide the output format
    Possible values:

    •   json: The JSON output format

    •   srcinfo: The SRCINFO output format

-p, --pretty
    Pretty-print the output. Only applies to formats that support pretty output and is otherwise ignored.

-h, --help
    Print help (see a summary with '-h')

[FILE]
    The file to read from. If no file is provided, stdin is used instead.